' ------------------------------------------------------------------------------------------
'
' Riese5Net.VB                                                        Ulrich Mller 18.05.04
'                                                                     PCS1700   VB.NET Final
' Betriebsprogramm Riesenrad Schritt 5 : Echt-Betrieb - berkreuz beladen
' Basis Assembly FishFa30.DLL / umFish30.DLL
'
' ------------------------------------------------------------------------------------------

Option Explicit On 
Option Strict Off
Imports FishFa30

Public Class frmMain
  Inherits System.Windows.Forms.Form

#Region " Vom Windows Form Designer generierter Code "

  Public Sub New()
    MyBase.New()

    ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
    InitializeComponent()

    ' Initialisierungen nach dem Aufruf InitializeComponent() hinzufgen

  End Sub

  ' Die Form berschreibt den Lschvorgang der Basisklasse, um Komponenten zu bereinigen.
  Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
    If disposing Then
      If Not (components Is Nothing) Then
        components.Dispose()
      End If
    End If
    MyBase.Dispose(disposing)
  End Sub

  ' Fr Windows Form-Designer erforderlich
  Private components As System.ComponentModel.IContainer

  'HINWEIS: Die folgende Prozedur ist fr den Windows Form-Designer erforderlich
  'Sie kann mit dem Windows Form-Designer modifiziert werden.
  'Verwenden Sie nicht den Code-Editor zur Bearbeitung.
  Friend WithEvents cmdAction As System.Windows.Forms.Button
  Friend WithEvents lblStatus As System.Windows.Forms.Label
  Friend WithEvents Label1 As System.Windows.Forms.Label
  Friend WithEvents nudRunden As System.Windows.Forms.NumericUpDown
  <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
    Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(frmMain))
    Me.cmdAction = New System.Windows.Forms.Button()
    Me.lblStatus = New System.Windows.Forms.Label()
    Me.Label1 = New System.Windows.Forms.Label()
    Me.nudRunden = New System.Windows.Forms.NumericUpDown()
    CType(Me.nudRunden, System.ComponentModel.ISupportInitialize).BeginInit()
    Me.SuspendLayout()
    '
    'cmdAction
    '
    Me.cmdAction.Location = New System.Drawing.Point(40, 88)
    Me.cmdAction.Name = "cmdAction"
    Me.cmdAction.Size = New System.Drawing.Size(216, 32)
    Me.cmdAction.TabIndex = 0
    Me.cmdAction.Text = "&ACTION"
    '
    'lblStatus
    '
    Me.lblStatus.Font = New System.Drawing.Font("Tahoma", 11.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
    Me.lblStatus.Location = New System.Drawing.Point(24, 16)
    Me.lblStatus.Name = "lblStatus"
    Me.lblStatus.Size = New System.Drawing.Size(248, 24)
    Me.lblStatus.TabIndex = 1
    Me.lblStatus.Text = "Zum Starten ACTION drcken"
    Me.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
    '
    'Label1
    '
    Me.Label1.Location = New System.Drawing.Point(96, 56)
    Me.Label1.Name = "Label1"
    Me.Label1.Size = New System.Drawing.Size(160, 16)
    Me.Label1.TabIndex = 3
    Me.Label1.Text = "Fun-Runden-Anzahl"
    '
    'nudRunden
    '
    Me.nudRunden.Location = New System.Drawing.Point(40, 48)
    Me.nudRunden.Minimum = New Decimal(New Integer() {1, 0, 0, 0})
    Me.nudRunden.Name = "nudRunden"
    Me.nudRunden.Size = New System.Drawing.Size(48, 22)
    Me.nudRunden.TabIndex = 4
    Me.nudRunden.TextAlign = System.Windows.Forms.HorizontalAlignment.Center
    Me.nudRunden.Value = New Decimal(New Integer() {3, 0, 0, 0})
    '
    'frmMain
    '
    Me.AcceptButton = Me.cmdAction
    Me.AutoScaleBaseSize = New System.Drawing.Size(6, 15)
    Me.ClientSize = New System.Drawing.Size(292, 143)
    Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.nudRunden, Me.Label1, Me.lblStatus, Me.cmdAction})
    Me.Font = New System.Drawing.Font("Tahoma", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
    Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog
    Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
    Me.MaximizeBox = False
    Me.Name = "frmMain"
    Me.Text = "Riesenrad Schritt 5"
    CType(Me.nudRunden, System.ComponentModel.ISupportInitialize).EndInit()
    Me.ResumeLayout(False)

  End Sub

#End Region

  Const mRadMotor = Nr.M1, eRadPos = Nr.E2, eQuittung = Nr.E1
  Dim ft As New FishFace()

  Private Sub cmdAction_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdAction.Click
    Dim i As Integer
    Try
      ft.OpenInterface(Port.COM2)
      Do
        lblStatus.Text = "--- Ein- und Aussteigen ---"
        For i = 1 To 3
          Beladen(1, i * 2 - 1)
          Beladen(3, i * 2)
        Next
        lblStatus.Text = "Fahrbetrieb : Quittungs-Taster"
        ft.Pause(3000)
        If Not ft.GetInput(eQuittung) Then Exit Do
        For i = 1 To nudRunden.Value
          lblStatus.Text = "--- Runde : " & i & " linksrum ---"
          ft.SetMotor(mRadMotor, Dir.Links)
          ft.WaitForChange(eRadPos, 12)
        Next
        ft.SetMotor(mRadMotor, Dir.Aus)
        ft.Pause(1000)
        ft.SetMotor(mRadMotor, Dir.Rechts)
        For i = 1 To nudRunden.Value
          lblStatus.Text = "--- Runde : " & i & " rechtsrum ---"
          ft.WaitForChange(eRadPos, 12)
        Next
        ft.SetMotor(mRadMotor, Dir.Aus)
        ft.Pause(1000)
      Loop Until ft.Finish(eQuittung)
      lblStatus.Text = "--- Betrieb beendet ---"
    Catch eft As FishFaceException
      MessageBox.Show(eft.Message)
    Finally
      ft.CloseInterface()
    End Try
  End Sub

  Sub Beladen(ByVal Position As Integer, ByVal Runde As Integer)
    Dim n%
    ft.SetMotor(mRadMotor, Dir.Links)
    For n = 1 To Position
      ft.WaitForHigh(eRadPos)
    Next
    ft.Pause(1500)
    ft.SetMotor(mRadMotor, Dir.Aus)
    lblStatus.Text = "Gondel : " & Runde
    ft.WaitForLow(eQuittung)
  End Sub
End Class
