' ---------------------------------------------------------------------------------------
'
' ManRefMain.VB                                                    Ulrich Mller 14.06.04
'                                                                  PCS1700   VB.NET Final
' Testrahmen FishRobot von FishFa30.DLL
'
' ---------------------------------------------------------------------------------------

Option Explicit On 
Option Strict Off
Imports FishFa30

Public Class ManRefRob
  Inherits System.Windows.Forms.Form

#Region " Vom Windows Form Designer generierter Code "

  Public Sub New()
    MyBase.New()

    ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
    InitializeComponent()

    ' Initialisierungen nach dem Aufruf InitializeComponent() hinzufgen

  End Sub

  ' Die Form berschreibt den Lschvorgang der Basisklasse, um Komponenten zu bereinigen.
  Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
    If disposing Then
      If Not (components Is Nothing) Then
        components.Dispose()
      End If
    End If
    MyBase.Dispose(disposing)
  End Sub

  ' Fr Windows Form-Designer erforderlich
  Private components As System.ComponentModel.IContainer

  'HINWEIS: Die folgende Prozedur ist fr den Windows Form-Designer erforderlich
  'Sie kann mit dem Windows Form-Designer modifiziert werden.
  'Verwenden Sie nicht den Code-Editor zur Bearbeitung.
  Friend WithEvents lblStatus As System.Windows.Forms.Label
  Friend WithEvents cmdAction As System.Windows.Forms.Button
  <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
    Me.lblStatus = New System.Windows.Forms.Label()
    Me.cmdAction = New System.Windows.Forms.Button()
    Me.SuspendLayout()
    '
    'lblStatus
    '
    Me.lblStatus.Location = New System.Drawing.Point(24, 24)
    Me.lblStatus.Name = "lblStatus"
    Me.lblStatus.Size = New System.Drawing.Size(240, 32)
    Me.lblStatus.TabIndex = 0
    Me.lblStatus.Text = "Status"
    Me.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
    '
    'cmdAction
    '
    Me.cmdAction.Location = New System.Drawing.Point(24, 112)
    Me.cmdAction.Name = "cmdAction"
    Me.cmdAction.Size = New System.Drawing.Size(248, 32)
    Me.cmdAction.TabIndex = 1
    Me.cmdAction.Text = "&ACTION"
    '
    'Form1
    '
    Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
    Me.ClientSize = New System.Drawing.Size(292, 181)
    Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.cmdAction, Me.lblStatus})
    Me.Name = "Form1"
    Me.Text = "FishFa30 : FishRobot (VB.NET)"
    Me.ResumeLayout(False)

  End Sub

#End Region

  Dim MotList(,) As Integer = {{3, 123}, {4, 456}}
  Dim WithEvents ft As New FishRobot(MotList)

  Private Sub cmdAction_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles cmdAction.Click
    Try
      ft.OpenInterface(Port.COM2)
      lblStatus.Text = "Home Position E5 / E7 drcken"
      ft.MoveHome()
      lblStatus.Text = "M3 auf Pos : " & ft.MotCntl(0).actPos.ToString()
      ft.Pause(1234)
      ft.MoveTo(34, 56)
      ft.MoveDelta(-13, 6)
      ft.MoveTo(50, 80)
    Catch eft As FishFaceException
      lblStatus.Text = eft.Message
    Finally
      ft.CloseInterface()
    End Try
  End Sub

  Private Sub ft_PositionChange(ByVal sender As Object, _
                                ByVal ActPositions() As Integer) Handles ft.PositionChange
    lblStatus.Text = ActPositions(0).ToString() & " - " & _
                     ActPositions(1).ToString()
  End Sub
End Class
