' ---------------------------------------------------------------------------------------
'
' ManMain.VB                                                         Ulrich Mller 6.5.04
'                                                                    PCS1700 VB.NET Final
' Programmrahmen fr die Beispiele des Handbuchs FishFa30 fr VB.NET
' mit FishFa30.DLL (C#) auf Basis von umFish30.DLL
'
' ----------------------------------------------------------------------------------------

Option Explicit On  ' --- Variablen Deklarationen erforderlich
Option Strict Off   ' --- Impliziete Typkonversionen (z.B. Integer -> String) zulssig
Imports FishFa30    ' --- Import fr die Assembly FishFa30.DLL

Public Class frmMain
  Inherits System.Windows.Forms.Form

#Region " Vom Windows Form Designer generierter Code "

  Public Sub New()
    MyBase.New()

    ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
    InitializeComponent()

    ' Initialisierungen nach dem Aufruf InitializeComponent() hinzufgen

  End Sub

  ' Die Form berschreibt den Lschvorgang der Basisklasse, um Komponenten zu bereinigen.
  Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
    If disposing Then
      If Not (components Is Nothing) Then
        components.Dispose()
      End If
    End If
    MyBase.Dispose(disposing)
  End Sub

  ' Fr Windows Form-Designer erforderlich
  Private components As System.ComponentModel.IContainer

  'HINWEIS: Die folgende Prozedur ist fr den Windows Form-Designer erforderlich
  'Sie kann mit dem Windows Form-Designer modifiziert werden.
  'Verwenden Sie nicht den Code-Editor zur Bearbeitung.
  Friend WithEvents lblStatus As System.Windows.Forms.Label
  Friend WithEvents cmdAction As System.Windows.Forms.Button
  <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
    Me.lblStatus = New System.Windows.Forms.Label()
    Me.cmdAction = New System.Windows.Forms.Button()
    Me.SuspendLayout()
    '
    'lblStatus
    '
    Me.lblStatus.Location = New System.Drawing.Point(24, 24)
    Me.lblStatus.Name = "lblStatus"
    Me.lblStatus.Size = New System.Drawing.Size(240, 40)
    Me.lblStatus.TabIndex = 0
    Me.lblStatus.Text = "Status"
    '
    'cmdAction
    '
    Me.cmdAction.Location = New System.Drawing.Point(32, 208)
    Me.cmdAction.Name = "cmdAction"
    Me.cmdAction.Size = New System.Drawing.Size(232, 40)
    Me.cmdAction.TabIndex = 1
    Me.cmdAction.Text = "&ACTION"
    '
    'frmMain
    '
    Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
    Me.ClientSize = New System.Drawing.Size(292, 273)
    Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.cmdAction, Me.lblStatus})
    Me.Name = "frmMain"
    Me.Text = "FishFa30 : Manual Beispiele"
    Me.ResumeLayout(False)

  End Sub

#End Region

  Dim ft As New FishFace(True, False, 0)

  Private Sub cmdAction_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdAction.Click
    ' --- Beispiel Deklarationen ---

    Try
      ft.OpenInterface(Port.COM2)            ' --- HIER GGF. ANPASSEN
      ' --- Beispiel Text ---
      ft.SetMotor(Nr.M1, Dir.Left, Speed.Full, 12)
      Do
        lblStatus.Text = "Counter : " & ft.GetCounter(Nr.E2)
      Loop While ft.WaitForMotors(100, 1)
    Catch eft As FishFaceException
      lblStatus.Text = eft.Message
    Finally
      ft.CloseInterface()
    End Try
  End Sub
End Class
